Jump to content

[TOPIC: topicViewTemplate]
[GLOBAL: userSmallPhoto]
Photo

How to "Require" the modular version of Appodeal?
Started by ammar71 Mar 24 2019 10:31 AM

3 replies to this topic

Best Answer ammar71 , 24 March 2019 - 11:03 AM

False alarm. Restarting the simulator solved the issue.

 

[TOPIC CONTROLS]
[/TOPIC CONTROLS]
[modOptionsDropdown]
[/modOptionsDropdown]
[reputationFilter]
[TOPIC: post.html]
#1

ammar71

[GLOBAL: userInfoPane.html]
ammar71
  • Observer

  • 15 posts
  • Corona SDK

Hi all,

 

Having finished my first Corona App  :)  It was time to monitize it. I looked around in the available plugins. Ideally I wanted an Admob plugin but that was too expensive. After further consideration I decided on Appodeal (even though it looks like they might drop Corona support soon if they haven't already).

 

I followed the steps from here:

https://docs.coronalabs.com/plugin/appodeal/index.html

I wanted to use the modular version to remove the AdColony (as it was reported to cause crashes in a different post).

 

When I added:

local appodeal = require( "plugin.appodeal" )

I got:

18:19:05.410  ERROR: validate-settings: problem loading C:\Users\ammar\Documents\Corona Projects\FirstApp\build.settings: 
18:19:05.904  ERROR: Runtime error
18:19:05.904  ?:0: attempt to call a nil value
18:19:05.904  stack traceback:
18:19:05.904   ?: in function 'require'
18:19:05.904   C:\Users\ammar\Documents\Corona Projects\FirstApp\main.lua:11: in main chunk

What am I doing wrong?

I am using Build: 2018.3326

 

Many thanks.



[TOPIC: post.html]
#2

ammar71

[GLOBAL: userInfoPane.html]
ammar71
  • Observer

  • 15 posts
  • Corona SDK

  Best Answer

False alarm. Restarting the simulator solved the issue.

 



[TOPIC: post.html]
#3

agramonte

[GLOBAL: userInfoPane.html]
agramonte
  • Corona Geek

  • 1,047 posts
  • Corona SDK

They still support me and have not heard that they plan to drop me. Also, something people don't realize is that you can have just 2 Appodeal plugins and it will work. I wouldn't recommend it since you would lose out on the very good Amazon and Facebook revenue.

 

Also, remember that:

1. If you use Flurry, Facebook or/and Unity (if the box is checked for Unity Id), Appodeal is just a passthrough and you will need to add your unit ids into Appodeal or you won't get any ads for those networks.

2. If you switched over to full transparency Appodeal (or whatever they are calling it now), you'll need to provide the ids for all the networks you integrate.

 

This should work:

-- Appodeal
        ['plugin.appodeal.beta.base'] = { 
            publisherId = 'com.coronalabs',
            supportedPlatforms = { iphone=true, android=true }
        },
        ['plugin.appodeal.beta.GoogleAdMob'] = { 
            publisherId = 'com.coronalabs',
            supportedPlatforms = { iphone=true, android=true }
        }

And this is how I usually roll:

-- Appodeal
        ['plugin.appodeal.beta.base'] = { 
            publisherId = 'com.coronalabs',
            supportedPlatforms = { iphone=true, android=true }
        },
        ['plugin.appodeal.beta.FacebookAudience'] = { 
            publisherId = 'com.coronalabs',
            supportedPlatforms = { iphone=true, android=true }
        },
        ['plugin.appodeal.beta.AmazonAds'] = { 
            publisherId = 'com.coronalabs',
            supportedPlatforms = { iphone=true, android=true }
        },
        ['plugin.appodeal.beta.GoogleAdMob'] = { 
            publisherId = 'com.coronalabs',
            supportedPlatforms = { iphone=true, android=true }
        }

  • mysticeti likes this

[TOPIC: post.html]
#4

ammar71

[GLOBAL: userInfoPane.html]
ammar71
  • Observer

  • 15 posts
  • Corona SDK

@agramonte

 

Thanks for the info.




[topic_controls]
[/topic_controls]